"use strict";

var _interopRequireDefault = require("/Users/macpro/Documents/code/prac/react-atomic-design/node_modules/@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = _interopRequireDefault(require("enzyme"));

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

var _ProgressBar = _interopRequireDefault(require("./ProgressBar"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

_enzyme.default.configure({
  adapter: new _enzymeAdapterReact.default()
});

describe("ProgressBar", function () {
  test("width 500 with percentage 20% should return 100", function () {
    var wrapper = _enzyme.default.shallow(_react.default.createElement(_ProgressBar.default, {
      percent: 20,
      width: 500,
      height: 100
    }));

    var width = wrapper.instance().getWidthAsPercentInTotalWidth();
    expect(width).toEqual(100);
  });
});
describe("ProgressBar - snapshot testing", function () {
  test("should render a progress bar", function () {
    var tree = _reactTestRenderer.default.create(_react.default.createElement(_ProgressBar.default, {
      percent: 20,
      width: 500,
      height: 100
    })).toJSON();

    expect(tree).toMatchSnapshot();
  });
}); // it is silly test but just have three levels covered!

describe("ProgressBar interaction testing example", function () {
  test("should have a div", function () {
    var wrapper = _enzyme.default.shallow(_react.default.createElement(_ProgressBar.default, {
      percent: 20,
      width: 500,
      height: 100
    }));

    expect(wrapper.find('div')).toHaveLength(2);
  });
});