"use strict";

var _interopRequireDefault = require("/Users/macpro/Documents/code/prac/react-atomic-design/node_modules/@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("/Users/macpro/Documents/code/prac/react-atomic-design/node_modules/@babel/runtime/helpers/esm/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("/Users/macpro/Documents/code/prac/react-atomic-design/node_modules/@babel/runtime/helpers/esm/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("/Users/macpro/Documents/code/prac/react-atomic-design/node_modules/@babel/runtime/helpers/esm/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("/Users/macpro/Documents/code/prac/react-atomic-design/node_modules/@babel/runtime/helpers/esm/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("/Users/macpro/Documents/code/prac/react-atomic-design/node_modules/@babel/runtime/helpers/esm/inherits"));

var _react = _interopRequireDefault(require("react"));

/** Progress bar component! */
var ProgressBar =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(ProgressBar, _React$Component);

  function ProgressBar() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, ProgressBar);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ProgressBar)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _this.getColor = function (percentage) {
      if (percentage === 100) return "darkgreen";
      return percentage > 50 ? "lightgreen" : "red";
    };

    _this.getWidthAsPercentInTotalWidth = function () {
      return parseInt(_this.props.width * (_this.props.percent / 100), 10);
    };

    return _this;
  }

  (0, _createClass2.default)(ProgressBar, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          percent = _this$props.percent,
          width = _this$props.width,
          height = _this$props.height;
      return _react.default.createElement("div", {
        style: {
          border: "1px solid gray",
          width: width
        }
      }, _react.default.createElement("div", {
        style: {
          width: this.getWidthAsPercentInTotalWidth(),
          height: height,
          background: this.getColor(percent)
        }
      }));
    }
  }]);
  return ProgressBar;
}(_react.default.Component);

ProgressBar.defaultProps = {
  width: 300,
  height: 50,
  percent: 66
};
var _default = ProgressBar;
exports.default = _default;